

.dcart { font: 0/0 a;  }

.dcart__header { height: 79px; width: 100%; text-align: center; background: url(header/i/logo.svg) no-repeat 50% 77% / 125px auto;  }
.html--flowers .dcart__header { background-image: url(header/i/logo-flowers.svg); }
.dcart__back { width: 50px; height: 50px; background: url(header/i/back.svg) no-repeat 50% 50% / 10px auto; opacity: .3; cursor: pointer; position: absolute; left: 0; top: 2px; }
.dcart__back:hover { opacity: .5; }


.dcart__screen { display: none; }
.dcart__zones-data { display: none }

.dcart__warning { text-align: center; font: 600 15px/17px geometria, arial; padding: 10px 15px; background: #FF4646; color: #fff; margin: -1px 0 0 0; }
.dcart__warning--hidden { display: none; }

.dcart__callcenter-notes { text-align: center; font: 600 15px/17px geometria, arial; padding: 10px 15px; background: #FFEA6B; margin: -1px 0 0 0; }

/* доставка или самовывоз? */
.dcart__types { padding: 15px 20px; }

.dcart__type { display: inline-block; vertical-align: baseline; font: 700 16px/36px geometria; width: 50%; padding: 0 15px; border: 1px solid #c4c4c4; cursor: pointer; }
.dcart__type:first-child { text-align: right; border-right: none; border-radius: 8px 0 0 8px; }
.dcart__type:last-child { border-left: none; border-radius: 0 8px 8px 0; }
.dcart__type--active { background-color: #0086FF; color: #fff; border-color: #0086FF; }

.dcart__type--off { opacity: .2; pointer-events: none; }


/* submit */
.dcart__submit-bg { background: #F2F2F2; padding: 10px 20px 10px 20px; width: 100%; z-index: 2;}

.dcart__submit { background: #2DC36A; transition: background 200ms; color: #fff; border-radius: 8px; font: 600 18px/18px geometria, arial; height: 50px; border: none; cursor: pointer; width: 100%; text-align: center; padding: 17px 0 0 0; }
/*
.dcart__submit-sub { font: 600 15px/17px geometria, arial; text-align: center; margin: 3px 0 0 0; }

.dcart__submit.btload--loading { padding-top: 20px; }
*/
.dcart__submit.btload--loading > .dcart__submit-total,
.dcart__submit.btload--loading > .dcart__submit-sub { display: none; }




















